Skip to main content
GET
/
auth
/
user
Get user profile
curl --request GET \
  --url https://api.capitalcheckin.app/auth/user \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "email": "jsmith@example.com",
  "company_id": "<string>",
  "role": "admin",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capitalcheckin.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 access token for authentication

Response

User profile

id
string

Unique user ID

name
string

User full name

email
string<email>

User email

company_id
string

User company ID

role
enum<string>

User role

Available options:
admin,
manager,
employee
created_at
string<date-time>

Creation date

updated_at
string<date-time>

Last update date